Subject: Re: bug#74281: 30.0.91; font-lock mode hangs on scrolling large Scheme file

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Nov 2024 13:42:18 +0200

> Date: Thu, 14 Nov 2024 11:09:41 +0000
> From: Divya Ranjan <[email-masked]>
> CC: [email-masked], [email-masked]
> 
> > I don't understand the question: I thought I pointed at the possible cause by mentioning syntax-directed
> font lock?
> 
> I meant you said the emacs build is "unoptimized", what can be optimized?

No, it means the C files were compiled with -O0, which disables
compiler optimizations, so my Emacs is supposed to be slower than
normal.  And yet I seed no lags with C-n, unlike what you report.